package io.dcloud.feature.gg.dcloud;

import android.app.Activity;
import android.content.Context;
import android.content.pm.ActivityInfo;
import android.content.pm.ProviderInfo;
import android.content.pm.ServiceInfo;
import android.os.Handler;
import android.os.Looper;
import android.os.Message;
import android.text.TextUtils;
import android.view.View;
import android.view.ViewGroup;
import android.widget.FrameLayout;
import io.dcloud.WebAppActivity;
import io.dcloud.common.DHInterface.ICallBack;
import io.dcloud.common.adapter.util.Logger;
import io.dcloud.common.adapter.util.SP;
import io.dcloud.common.constant.AbsoluteConst;
import io.dcloud.common.util.AppRuntime;
import io.dcloud.common.util.PdrUtil;
import io.dcloud.common.util.hostpicker.HostPicker;
import io.dcloud.e.c.g;
import io.dcloud.e.f.b;
import io.dcloud.feature.gg.AolSplashUtil;
import io.dcloud.feature.gg.dcloud.ADHandler;
import io.dcloud.feature.gg.dcloud.ADResult;
import io.dcloud.feature.gg.dcloud.AolFeatureImpl;
import io.dcloud.h.c.d.a;
import io.dcloud.sdk.core.entry.SplashAOLConfig;
import io.dcloud.sdk.core.v3.splash.DCSplashAOLLoadListener;
import java.util.ArrayList;
import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import org.json.JSONArray;
import org.json.JSONObject;
/* loaded from: classes.dex */
public class AolFeatureImpl {
    private static volatile boolean isRequestSuccess = false;
    private static boolean isSplashClose = false;
    private static Handler mHandler = new MyHandler(null);
    private static int retryCount = 0;
    private static a splashAd;

    /* renamed from: io.dcloud.feature.gg.dcloud.AolFeatureImpl$1  reason: invalid class name */
    /* loaded from: classes.dex */
    class AnonymousClass1 implements DCSplashAOLLoadListener {
        final /* synthetic */ Context val$context;

        AnonymousClass1(Context context) {
            this.val$context = context;
        }

        /* JADX INFO: Access modifiers changed from: package-private */
        public static /* synthetic */ void lambda$onSplashAdLoad$0(Context context) {
            if (context instanceof WebAppActivity) {
                WebAppActivity webAppActivity = (WebAppActivity) context;
                webAppActivity.onCreateAdSplash(context);
                webAppActivity.initBackToFrontSplashAd();
            }
        }

        @Override // io.dcloud.sdk.core.v3.base.DCBaseAOLLoadListener
        public void onError(int i, String str, JSONArray jSONArray) {
            Logger.e("doForFeature", "AolFeatureImpl load fail" + i + ":" + str);
            if (i == -5000 || i == -5001) {
                return;
            }
            AolFeatureImpl.setRequest(this.val$context, "-8003", str, jSONArray);
        }

        @Override // io.dcloud.sdk.core.v3.splash.DCSplashAOLLoadListener
        public void onSplashAdLoad() {
            Logger.e("doForFeature", "AolFeatureImpl load success");
            if (AolFeatureImpl.isRequestSuccess) {
                Handler handler = new Handler(Looper.getMainLooper());
                final Context context = this.val$context;
                handler.post(new Runnable() { // from class: io.dcloud.feature.gg.dcloud.-$$Lambda$AolFeatureImpl$1$vcyY-LbDuURyVMJZe5aNB383m-w
                    @Override // java.lang.Runnable
                    public final void run() {
                        AolFeatureImpl.AnonymousClass1.lambda$onSplashAdLoad$0(context);
                    }
                });
            }
        }

        @Override // io.dcloud.sdk.core.v3.splash.DCSplashAOLLoadListener
        public void pushAd(JSONObject jSONObject) {
        }

        @Override // io.dcloud.sdk.core.v3.splash.DCSplashAOLLoadListener
        public void redBag(View view, FrameLayout.LayoutParams layoutParams) {
            ((ViewGroup) ((Activity) this.val$context).getWindow().getDecorView().findViewById(16908290)).addView(view, layoutParams);
        }
    }

    /* JADX INFO: Access modifiers changed from: protected */
    /* loaded from: classes.dex */
    public static class AdReceiver implements IAolReceiver {
        private Object[] _args;
        private String appid;
        private Context context;

        public AdReceiver(Context context, Object[] objArr, String str) {
            this.context = context;
            this._args = objArr;
            this.appid = str;
        }

        public List<String> getActivities() {
            ArrayList arrayList = new ArrayList();
            try {
                ActivityInfo[] activityInfoArr = this.context.getPackageManager().getPackageInfo(this.context.getPackageName(), 1).activities;
                if (activityInfoArr != null) {
                    for (ActivityInfo activityInfo : activityInfoArr) {
                        arrayList.add(activityInfo.name);
                    }
                }
                ServiceInfo[] serviceInfoArr = this.context.getPackageManager().getPackageInfo(this.context.getPackageName(), 4).services;
                if (serviceInfoArr != null) {
                    for (ServiceInfo serviceInfo : serviceInfoArr) {
                        arrayList.add(serviceInfo.name);
                    }
                }
                ProviderInfo[] providerInfoArr = this.context.getPackageManager().getPackageInfo(this.context.getPackageName(), 8).providers;
                if (providerInfoArr != null) {
                    for (ProviderInfo providerInfo : providerInfoArr) {
                        arrayList.add(providerInfo.name);
                    }
                }
                ActivityInfo[] activityInfoArr2 = this.context.getPackageManager().getPackageInfo(this.context.getPackageName(), 2).receivers;
                if (activityInfoArr2 != null) {
                    for (ActivityInfo activityInfo2 : activityInfoArr2) {
                        arrayList.add(activityInfo2.name);
                    }
                }
            } catch (Exception unused) {
            }
            return arrayList;
        }

        public /* synthetic */ void lambda$onReceiver$0$AolFeatureImpl$AdReceiver() {
            Context context = this.context;
            if (context instanceof WebAppActivity) {
                ((WebAppActivity) context).onCreateAdSplash(context);
                ((WebAppActivity) this.context).initBackToFrontSplashAd();
            }
        }

        @Override // io.dcloud.feature.gg.dcloud.IAolReceiver
        public void onError(String str, String str2) {
            int i;
            boolean unused = AolFeatureImpl.isRequestSuccess = false;
            SP.setsBundleData(ADHandler.AdTag, "uniad", "");
            Logger.p("request Fail", "type:" + str + ";message:" + str2);
            if (AolFeatureImpl.retryCount < 3) {
                AolFeatureImpl.access$508();
                Message message = new Message();
                message.what = 1;
                message.obj = new Runnable() { // from class: io.dcloud.feature.gg.dcloud.AolFeatureImpl.AdReceiver.1
                    @Override // java.lang.Runnable
                    public void run() {
                        io.dcloud.a.a(AdReceiver.this.context, AdReceiver.this.appid, "pull", "RETRY");
                    }
                };
                AolFeatureImpl.mHandler.sendMessageDelayed(message, AolFeatureImpl.retryCount * 60000);
            }
            if (this._args[2] == null) {
                try {
                    i = Integer.parseInt(str2);
                } catch (Exception unused2) {
                    i = -1;
                }
                Context context = this.context;
                if (i != -1) {
                    str2 = "http:" + str2;
                }
                AolFeatureImpl.setRequest(context, "-8001", str2, null);
            }
        }

        @Override // io.dcloud.feature.gg.dcloud.IAolReceiver
        public void onReceiver(JSONObject jSONObject) {
            JSONObject jSONObject2;
            Logger.p("doForFeature", "success when request");
            if (AolFeatureImpl.isSplashClose && this._args[2] == null && ADHandler.SplashAdIsEnable(this.context).booleanValue()) {
                AolFeatureImpl.setRequest(this.context, "-8002", "广告关闭时未请求成功", null);
            }
            boolean unused = AolFeatureImpl.isRequestSuccess = true;
            try {
                JSONObject optJSONObject = jSONObject.optJSONObject(AbsoluteConst.JSON_KEY_DATA);
                HashMap hashMap = new HashMap();
                JSONObject jSONObject3 = new JSONObject();
                b bVar = SP.getsOrCreateBundle(this.context, ADHandler.AdTag);
                if (optJSONObject != null) {
                    String optString = optJSONObject.has("uniad") ? optJSONObject.optString("uniad") : "";
                    if (optJSONObject.has("al")) {
                        bVar.b("al", optJSONObject.optString("al"));
                    }
                    if (optJSONObject.has("cad")) {
                        JSONObject optJSONObject2 = optJSONObject.optJSONObject("cad");
                        if (optJSONObject2 != null) {
                            List<String> activities = getActivities();
                            Iterator<String> keys = optJSONObject2.keys();
                            while (keys.hasNext()) {
                                String next = keys.next();
                                JSONObject jSONObject4 = optJSONObject2.getJSONObject(next);
                                JSONArray optJSONArray = jSONObject4.optJSONArray("mf-a");
                                if (optJSONArray == null || optJSONArray.length() <= 0) {
                                    jSONObject2 = optJSONObject2;
                                    JSONArray jSONArray = jSONObject4.getJSONArray("cls-a");
                                    for (int i = 0; i < jSONArray.length(); i++) {
                                        try {
                                            Class.forName(jSONArray.getString(i));
                                            JSONObject jSONObject5 = new JSONObject();
                                            jSONObject5.put("r", "1");
                                            jSONObject3.put(next, jSONObject5);
                                            break;
                                        } catch (Exception unused2) {
                                        }
                                    }
                                } else {
                                    jSONObject2 = optJSONObject2;
                                    int i2 = 0;
                                    while (true) {
                                        if (i2 >= optJSONArray.length()) {
                                            break;
                                        } else if (activities.contains(optJSONArray.getString(i2))) {
                                            JSONObject jSONObject6 = new JSONObject();
                                            jSONObject6.put("r", "1");
                                            jSONObject3.put(next, jSONObject6);
                                            break;
                                        } else {
                                            i2++;
                                        }
                                    }
                                }
                                optJSONObject2 = jSONObject2;
                            }
                            hashMap.put("cad", jSONObject3.length() > 0 ? jSONObject3.toString() : "");
                        }
                    } else {
                        hashMap.put("cad", "");
                    }
                    bVar.b("uniad", optString);
                    bVar.b("cgk", optString);
                } else {
                    bVar.b("uniad", "");
                    hashMap.put("cad", "");
                }
                AolSplashUtil.saveOperate(hashMap);
                if (jSONObject3.length() > 0) {
                    HashMap hashMap2 = new HashMap();
                    hashMap2.put("rad", jSONObject3.toString());
                    Context context = this.context;
                    ADHandler.pullRad(context, hashMap2, new ADHandler.ADReceiver(context), new ADResult.CADReceiver(this.context));
                }
                if (AolFeatureImpl.splashAd != null) {
                    new Handler(Looper.getMainLooper()).post(new Runnable() { // from class: io.dcloud.feature.gg.dcloud.-$$Lambda$AolFeatureImpl$AdReceiver$k-Jdd02WrYIWjlMrcRX4G10ZztY
                        @Override // java.lang.Runnable
                        public final void run() {
                            AolFeatureImpl.AdReceiver.this.lambda$onReceiver$0$AolFeatureImpl$AdReceiver();
                        }
                    });
                    AolFeatureImpl.splashAd.v();
                }
            } catch (Exception unused3) {
            }
        }
    }

    /* loaded from: classes.dex */
    private static class MyHandler extends Handler {
        private MyHandler() {
        }

        @Override // android.os.Handler
        public void handleMessage(Message message) {
            super.handleMessage(message);
            if (message.what == 1) {
                ((Runnable) message.obj).run();
            }
        }

        /* synthetic */ MyHandler(AnonymousClass1 anonymousClass1) {
            this();
        }
    }

    static /* synthetic */ int access$508() {
        int i = retryCount;
        retryCount = i + 1;
        return i;
    }

    public static Object doForFeature(String str, Object obj) {
        a aVar;
        if ("onAppCreate".equals(str)) {
            Context context = (Context) obj;
            Logger.p("doForFeature", "AolFeatureImpl onAppCreate");
            String str2 = ADHandler.get("uniad");
            if (!TextUtils.isEmpty(str2)) {
                SP.setsBundleData(context, ADHandler.AdTag, "uniad", str2);
                SP.setsBundleData(context, ADHandler.AdTag, "cgk", str2);
                SP.removeBundleData(context, ADHandler.AdTag, "uniad");
                SP.removeBundleData(context, ADHandler.AdTag, "cgk");
            }
        } else if (!"pull".equals(str) && !"ba_pull".equals(str)) {
            if ("save".equals(str)) {
                Object[] objArr = (Object[]) obj;
                Logger.p("doForFeature", "AolFeatureImpl save");
                AolSplashUtil.saveOperate((Context) objArr[0], (String) objArr[1], (HashMap) objArr[2]);
            } else if ("formatUrl_wanka".equals(str)) {
                Object[] objArr2 = (Object[]) ((Object[]) obj)[2];
                return ADHandler.formatUrl((String) objArr2[0], (JSONObject) objArr2[1]);
            } else if ("handleArgs_wanka".equals(str)) {
                return ADHandler.getArgsJsonData((JSONObject) ((Object[]) obj)[2]);
            } else {
                if ("onWillCloseSplash".equals(str)) {
                    isSplashClose = true;
                    isRequestSuccess = false;
                    Object[] objArr3 = (Object[]) obj;
                    Context context2 = (Context) objArr3[0];
                    if (context2 instanceof Activity) {
                        Activity activity = (Activity) context2;
                        if (!activity.isDestroyed() && !activity.isFinishing() && (aVar = splashAd) != null) {
                            aVar.a((View) objArr3[2]);
                        }
                    }
                    return null;
                } else if ("onCloseSplashNoAd".equals(str)) {
                    isSplashClose = true;
                    Context context3 = (Context) ((Object[]) obj)[0];
                    if (context3 instanceof Activity) {
                        Activity activity2 = (Activity) context3;
                        if (!activity2.isDestroyed() && !activity2.isFinishing()) {
                            Logger.p("doForFeature", "AolFeatureImpl onCloseSplashNoAd");
                            if (!ADHandler.SplashAdIsEnable(context3).booleanValue()) {
                            }
                        }
                    }
                    return null;
                } else if ("onCreateAdSplash".equals(str)) {
                    if (!isRequestSuccess || splashAd == null || isSplashClose) {
                        return null;
                    }
                    Object[] objArr4 = (Object[]) obj;
                    Context context4 = (Context) objArr4[0];
                    if (context4 instanceof Activity) {
                        Activity activity3 = (Activity) context4;
                        if (activity3.isDestroyed() || activity3.isFinishing() || !ADHandler.SplashAdIsEnable(context4).booleanValue()) {
                            return null;
                        }
                        ICallBack iCallBack = (ICallBack) objArr4[1];
                        Logger.p("doForFeature", "AolFeatureImpl onCreateAdSplash");
                        a aVar2 = splashAd;
                        if (aVar2 != null && aVar2.l()) {
                            return splashAd.a(activity3, "", iCallBack);
                        }
                    }
                    return null;
                } else if ("onAppAttachBaseContext".equals(str)) {
                    Logger.p("doForFeature", "AolFeatureImpl onAppAttachBaseContext");
                } else if ("onSplashclosed".equals(str)) {
                    a aVar3 = splashAd;
                    if (aVar3 != null) {
                        aVar3.w();
                    }
                    splashAd = null;
                }
            }
        } else {
            Object[] objArr5 = (Object[]) obj;
            Context context5 = (Context) objArr5[0];
            String str3 = (String) objArr5[1];
            if (str.equals("ba_pull") && g.b() && !io.dcloud.e.c.h.b.d(context5, str3)) {
                return null;
            }
            b.a(context5, ADHandler.AdTag);
            ADHandler.pull(context5, str3, false, (List<HostPicker.Host>) null, new ADHandler.ADReceiver(context5), new ADResult.CADReceiver(context5), new AdReceiver(context5, objArr5, str3));
            if ((PdrUtil.isEmpty(objArr5[2]) || !"RETRY".equals(objArr5[2])) && !AppRuntime.hasPrivacyForNotShown(context5)) {
                splashAd = null;
                isSplashClose = false;
                isRequestSuccess = false;
                mHandler.removeMessages(1);
                retryCount = 0;
                SplashAOLConfig build = new SplashAOLConfig.Builder().width(0).height(0).build();
                a aVar4 = new a((Activity) context5);
                splashAd = aVar4;
                aVar4.a(build, (DCSplashAOLLoadListener) new AnonymousClass1(context5), false);
            }
            AolSplashUtil.setShowInterstitialAd(false);
        }
        return null;
    }

    /* JADX INFO: Access modifiers changed from: private */
    public static void setRequest(Context context, String str, String str2, JSONArray jSONArray) {
        if (context.getPackageName().equals("io.dcloud.HBuilder")) {
            return;
        }
        ADHandler.postSplashError(context, str, str2, jSONArray);
    }
}
